Bug 211317 - Review Request: perl-Cache-Mmap - Shared data cache using memory mapped files
Review Request: perl-Cache-Mmap - Shared data cache using memory mapped files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-18 12:56 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 20:54:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-10-18 12:56:52 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Cache-Mmap/perl-Cache-Mmap.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Cache-Mmap-0.09-1.src.rpm
Description:
This module implements a shared data cache, using memory mapped files. If
routines are provided which interact with the underlying data, access to
the cache is completely transparent, and the module handles all the details
of refreshing cache contents, and updating underlying data, if necessary.
Comment 1 Patrice Dumas 2006-10-18 13:39:14 EDT
* rpmlint error:
E: perl-Cache-Mmap wrong-script-interpreter
/usr/share/doc/perl-Cache-Mmap-0.09/cmmtest "/usr/local/bin/perl-journals"

This is indeed true, and maybe a simple sed line could correct
the shebang in cmmtest. I won't make it a blocker.
* free software, licence not included
* follow guidelines
* spec legible
* match upstream
fef44673771a0f1f14982ae719f57221  Cache-Mmap-0.09.tar.gz
* sane provides (Mmap.so is wrong, but it's usual)
Provides: Mmap.so perl(Cache::Mmap)
* %files section right

APPROVED
Comment 2 Steven Pritchard 2006-10-18 19:12:58 EDT
First, thank you for the quick review.

(In reply to comment #1)
> * rpmlint error:
> E: perl-Cache-Mmap wrong-script-interpreter
> /usr/share/doc/perl-Cache-Mmap-0.09/cmmtest "/usr/local/bin/perl-journals"
> 
> This is indeed true, and maybe a simple sed line could correct
> the shebang in cmmtest.

I didn't think it was significant, since it is a %doc file.  (And note that I
chmod a-x the thing in %prep, so there's no danger of mistaking it for a real
script, and it isn't causing any new dependencies.)

In other words, I'd prefer to leave it as-is.  Besides, I have to assume
upstream had some reason for it...
Comment 3 Patrice Dumas 2006-10-19 03:04:38 EDT
(In reply to comment #2)

> I didn't think it was significant, since it is a %doc file.  (And note that I
> chmod a-x the thing in %prep, so there's no danger of mistaking it for a real
> script, and it isn't causing any new dependencies.)

Indeed, and that's why I don't make it a blocker.

> In other words, I'd prefer to leave it as-is.  Besides, I have to assume
> upstream had some reason for it...

Some reason we don't care about. In fedora it would be  better in my 
opinion if a user wouldn't have to guess why the shebang is like that
and whether he has to install something else to have the package work.
This example is meant to be read, so it should be as correct as possible.
Comment 4 Steven Pritchard 2006-10-25 20:54:56 EDT
Imported, built, etc.

Note You need to log in before you can comment on or make changes to this bug.